Question managed by a remote engine

Question behaviour ::: qbehaviour_opaque
Maintained by Tim at Lone Pine Koala SanctuaryTim Hunt
This question behaviour uses web services to connect to other question engines like OpenMark or ounit, so that their questions can be used in a Moodle quiz.

Question managed by a remote engine 2.8 For Moodle 3.4+

Moodle 3.4, 3.5, 3.6, 3.7, 3.8, 3.9, 3.10
Released: Wednesday, August 15, 2018, 5:32 PM

Changes in 2.8

  • Privacy API implementation.
  • Update to use the newer editor_ousupsub, instead of editor_supsub.
  • Setup Travis-CI automated testing integration.
  • Fix some coding style.
  • Due to privacy API support, this version now only works in Moodle 3.4+ For older Moodles, you will need to use a previous version of this plugin.

Version information

Version build number
2018081400
Version release name
2.8 For Moodle 3.4+
Maturity
Stable version
MD5 Sum
52bc4a776c4d5e412d1d8a91ef2689e2
Supported software
Moodle 3.4, Moodle 3.5, Moodle 3.6, Moodle 3.7, Moodle 3.8, Moodle 3.9, Moodle 3.10
  • Latest release for Moodle 3.4
  • Latest release for Moodle 3.5
  • Latest release for Moodle 3.6
  • Latest release for Moodle 3.7
  • Latest release for Moodle 3.8
  • Latest release for Moodle 3.9
  • Latest release for Moodle 3.10

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS tag
v2.8

Default installation instructions for plugins of the type Question behaviour

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myqbehaviour") in the "question/behaviour" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation